• chalatzos δημοσίευσε μία ενημέρωση στην ομάδα Κοινότητα MOODLE Ελλήνων Εκπαιδευτικών: πριν από 9 έτη, 4 μήνες

    Εγκατέστησα το Moodle 2.0 στο users.sch.gr , πήγανε όλα καλά (με την απαιτούμενη υπομονή που πρέπει να διαθέτει κανείς δουλεύοντας με το ΠΣΔ). Εχοντας σε εξωτερικό server ανεβασμένη τη πλατφόρμα (moodle 1.9.5) να μεταφέρω ένα μάθημα στη νέα έκδοση. Δημιούργησα αντίγραφο ασφαλείας στην παλιά πλατφόρμα και έκανα download το αρχείο στο δίσκο. Στη συνέχεια άφού το ανέβασα στη νέα πλατφόρμα του sch προσπάθησα να κάνω «επαναφορά» του μαθήματος. Το μήνυμα που πήρα ήταν ότι το συγκεκριμένο μάθημα έγινε με παλιά έκδοση της moodle και δεν μπορεί να τρέξει στην έκδοση 2.0 . Υπάρχε άραγε τρόπος το μάθημα αυτό να προσαρμοστεί στην νέα έκδοση ή πρέπει να στηθεί από την αρχή στην νέα έκδοση?

    • Αγαπητέ φίλε,

      Δυστυχώς, η απάντηση στην ερώτηση σου παρόλο που είναι καταφατική (θεωρητικά μπορείς να προσαρμόσεις το μάθημα της έκδοσης 1.9.5) στην πράξη αποδεικνύεται αρκετά δύσκολη και απαιτητική.

      Σε γενικές γραμμές αυτό που συμβαίνει είναι ότι πολλά από τα blocks ή modules που είχες εγκαταστήσει πρόσθετα στο Moodle 1.9 + δεν είναι συμβατά στην νέα έκδοση. Σε αυτά περιλαμβάνονται και τα themes (πιο συνηθισμένες περιπτώσεις).

      Όπως ανέφερα θεωρητικά υπάρχει τρόπος, αφού φυσικά κρατήσεις αντίγραφα ασφαλείας από τα πάντα, να αφαιρέσεις βήμα προς βήμα ότι δεν του αρέσει από την 1.9+ και έτσι να μπορέσεις να το εισάγεις στην έκδοση 2.0. Αυτό φυσικά απαιτεί προσοχή και υπομονή!

      Περισσότερες πληροφορίες και σχετικές οδηγίες μπορείς να διαβάσεις και στο επίσημο forum υποστήριξης του Moodle, στο παρακάτω link, http://moodle.org/mod/forum/discuss.php?d=164961.

      Ελπίζω να βοήθησα και σου εύχομαι όλα να δουλέψουν, ώστε να μην χρειαστεί να στήσεις το μάθημα σου από την αρχή!!

      Ν.Μ.